"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-310/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10368e8c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10368e950>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10368e9e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10368ea70>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10368eb00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10368eb90>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10368ec20>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10368ecb0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10368ed40>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10368edd0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10368ee60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10368eef0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10368ef80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10368f010>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10368f0a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10368f130>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10368f1c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10368f250>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10368f2e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10368f370>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10368f400>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10368f490>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10368f520>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10368f5b0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10368f6d0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10368f640>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10368f760>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10368f7f0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10368f880>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10368f910>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10368f9a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10368fa30>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10368fac0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10368fb50>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10368fbe0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10368fc70>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10368fd00>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10368fd90>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10368fe20>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10368feb0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10368ff40>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4040>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1036d40d0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4160>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1036d41f0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4280>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4310>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1036d43a0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4430>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1036d44c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4550>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1036d45e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4670>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4700>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4790>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4820>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1036d48b0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4940>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1036d49d0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4a60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4af0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4b80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4c10>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4ca0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4d30>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4ee0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4dc0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1036d4f70>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5000>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5090>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5120>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1036d51b0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1036d52d0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5240>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5360>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1036d53f0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5480>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1036d55a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5510>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5630>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1036d56c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5750>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1036d57e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5870>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1036d5900>)]
name: str = 'fr_HOCCN'
